View Issue Details

IDProjectCategoryView StatusLast Update
00302832.x IDE BugsCompilingPublic2019-01-31 10:59
ReporterStewart BishopAssigned ToRussell Kay 
PriorityLowSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.1 
Target Version2.2.2Fixed in Version2.2.2 
Summary0030283: Compiling: Defining a macro twice in different locations doesn't throw a compile error
DescriptionIf you define a macro in two different scripts with different values your game will compile and whichever macro was the last to be parsed will be the value which is used in-game.

This is different to Enums, in that when you define an Enum in two different scripts you'll get a compile error saying it has already been defined.
Steps To Reproduce1) Run the sample project
2) See that the output for the macro is the same twice even though a user would probably expect both to be different
Tagscompiling
2.x IDE Found In9.2.1.1639
2.x Runtime Found In9.9.1.1270
2.x IDE Verified In2.2.2.390
2.x Runtime Verified In2.2.2.302

Activities

Stewart Bishop

2018-12-04 16:03

Developer  

MacroBug.yyz (20,003 bytes)

Russell Kay

2018-12-10 16:39

Manager   ~0062203

Fixed in gitlab